unit fullscreenshot;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  ExtCtrls, ComObj, LCLIntf, LCLType, Windows;

type

  { TForm1 }

  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{ TForm1 }

//=============================================================
function BlockInput(Block : Boolean): DWORD; stdcall; external 'user32.dll'; // function that blocks input
//=============================================================
procedure TForm1.FormCreate(Sender: TObject);
var ScreenShot : TImage;
    DynamicForm : TForm;
    TheScreen : TPortableNetworkGraphic; // PNG DynamicFormt
    tmp : string;
begin
//=====
 Form1.ShowInTaskBar := stNever; // don't show in the taskbar || do not work!?
//=====
 tmp := SysUtils.GetEnvironmentVariable('temp');  // get the TEMP folder location
//=====
 TheScreen := TPortableNetworkGraphic.Create;
 TheScreen.LoadFromDevice(GetDC(0));  // take a screenshot
 TheScreen.SaveToFile(IncludeTrailingBackslash(tmp)+'foto.png'); // write the screenshot to %temp%\foto.png
//=====
 DynamicForm := TForm.Create(Self);
  DynamicForm.FormStyle := fsSplash; // set it as Splash so it doesn't have borders and won't appear in taskbar
  DynamicForm.Height := Screen.Height; // set form to be full screen
  DynamicForm.Width := Screen.Width; //   ^
  DynamicForm.ShowInTaskBar := stNever; // don't show in taskbar || this one works!?
//=====
 ScreenShot := TImage.Create(Self);
  ScreenShot.Parent := DynamicForm;
  ScreenShot.Height := DynamicForm.Height; // set picture fullscreen
  ScreenShot.Width := DynamicForm.Width; //   ^
//=====
 ScreenShot.Picture.LoadFromFile(IncludeTrailingBackslash(tmp)+'foto.png'); // load the picture
 DynamicForm.Show;
//=====
 BlockInput(True);  // let's block input for more phun? :D
                      // ctrl+alt+del unblocks input
//=====
end;
//=============================================================

initialization
  {$I fullscreenshot.lrs}

end.
